Package org.gradle.api.problems

## Enum Severity

- java.lang.Object
- - java.lang.Enum<Severity>
  - - org.gradle.api.problems.Severity

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Severity>`

      @Incubating
      public enum Severity
      extends java.lang.Enum<Severity>

  Severity.
  Since:
    8.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADVICE` |
    `ERROR` |
    `WARNING` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isWarning()` |
    `java.lang.String` | `toString()` |
    `static Severity` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Severity[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADVICE

          public static final Severity ADVICE

    - #### WARNING

          public static final Severity WARNING

    - #### ERROR

          public static final Severity ERROR

  - ### Method Detail

    - #### values

          public static Severity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Severity c : Severity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Severity valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Severity>`

    - #### isWarning

          public boolean isWarning()